Skip to content

# Authorizenet API

`terminusgps` offers the `authorizenet` package; a Python library that makes it simple to operate within the Authorizenet API.

Contents:

- Authorizenet API Authentication
  - `get_environment()`
  - `get_merchant_auth()`
  - `get_validation_mode()`
- Constants
  - `AuthorizenetSubscriptionStatus`
- API Controllers
  - `AuthorizenetControllerExecutor`
  - `AuthorizenetControllerExecutionError`
- Usage Examples
  - Retrieve an Authorizenet customer profile
  - Create an Authorizenet customer profile
  - Create an Authorizenet payment profile with credit card
- Profiles
  - Base
  - Customer
- Utilities
  - `get_customer_profile_ids()`
  - `generate_customer_address()`
  - `generate_customer_payment()`